Skip to main content
GET
https://api.onstacks.io
/
v1
/
wallets
List wallets
curl --request GET \
  --url https://api.onstacks.io/v1/wallets \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "wallets": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "status": "<string>",
        "accounts": [
          {
            "network_code": "<string>",
            "address": "<string>",
            "path": "<string>",
            "is_default": true,
            "network_display_name": "<string>",
            "asset_symbol": "<string>"
          }
        ],
        "blockops_wallet_id": "<string>",
        "blockops_status": "<string>",
        "wallet_type": "<string>"
      }
    ]
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Response

Wallet list

data
object
required
error
null
required
request_id
string
required